<?php
/* @var $this NewsletterTemplateController */
/* @var $model NewsletterTemplate */

$this->breadcrumbs=array(
	'Newsletter Templates'=>array('index'),
	'Manage',
);

$this->menu=array(
	array('label'=>'List NewsletterTemplate', 'url'=>array('index')),
	array('label'=>'Create NewsletterTemplate', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#newsletter-template-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Manage Newsletter Templates</h1>

<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo CHtml::link('Advanced Search','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'newsletter-template-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'id',
		'title',
		'code',
		'message',
		'variable_info',
		array(
			'name'  => 'status',
        	'value' => 'CHtml::link($data->status == "Y" ? "Active" : "InActive", Yii::app()->createUrl("newsletter/newsletterTemplate/changestatus",array("id"=>$data->id)))',
        	'type'  => 'raw',
		),
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
